On 20 Apr 2006 10:45:48 -0400
Lowell Gilbert <[EMAIL PROTECTED]> wrote:

> No, the xorg-libraries port installs /usr/X11R6/lib/libXcursor.so.

Agreed

> No libtool library description file (.la) should be needed.
> 
> You seem to have been missing the point, so I'll boil it down:
> You *do* need libXcursor.  
Agree
> You do *not* need the libXcursor *port*, because xorg-libraries will
> install the Xcursor library.  

I agree too. But the build process of gimp and others seem to need it :)

> You should *not* need libXcursor.la, because gimp should need it to
> link against libXcursor.so.

should  being the key word here. 

> 
> Try removing the libtool ports, rebuilding xorg-libraries and anything
> else in the dependency path from it to gimp, and gimp should rebuild
> fine.  
> 

gotcha, i'll try this 

> You didn't mention houw you were trying to do your upgrade, or what
> vintage your other ports were, so this is probably the most complete
> advice we can give on the information you have provided.

portugrade -pP ... 

thanks!! :)
Beto
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to